require 'sketchup.rb'
require 'extensions.rb'

module M3darcstudioextensions
module M3darcstudiotools

def self.f3das_addsubmenus(parentmenu)
	toolsmenu = parentmenu.add_submenu("Tools")
	if Sketchup.find_support_file("3darcstudiotoolsfixtextures.rb", "Plugins/3darcstudiotools/")!=nil
		if File.exists?(Sketchup.find_support_file("3darcstudiotoolsfixtextures.rb", "Plugins/3darcstudiotools/"))
			load Sketchup.find_support_file("3darcstudiotoolsfixtextures.rb", "Plugins/3darcstudiotools/")
			toolsmenu.add_item("Fix leaves textures for renders"){M3darcstudiotoolsfixtextures.f3das_fixtexturesfortrees}
		end
	end
	if Sketchup.find_support_file("3darcstudiotoolsjson.rb", "Plugins/3darcstudiotools/")!=nil
		if File.exists?(Sketchup.find_support_file("3darcstudiotoolsjson.rb", "Plugins/3darcstudiotools/"))
			load Sketchup.find_support_file("3darcstudiotoolsjson.rb", "Plugins/3darcstudiotools/")
			toolsmenu.add_item("Export JSon"){M3darcstudiotoolsjson.f3das_exportjson}
		end
	end
	if Sketchup.find_support_file("3darcstudiotoolscolorset.rb", "Plugins/3darcstudiotools/")!=nil
		if File.exists?(Sketchup.find_support_file("3darcstudiotoolscolorset.rb", "Plugins/3darcstudiotools/"))
			load Sketchup.find_support_file("3darcstudiotoolscolorset.rb", "Plugins/3darcstudiotools/")
			toolsmenu.add_item("Apply Colorset"){M3darcstudiotoolscolorset.f3das_appycolorset}
		end
	end
end

end # end of tools module
end # end of extensions module

file_loaded('3darcstudiotoolsmain.rb')